export GOPATH=$PWD
export PATH=$PATH:$PWD/bin
export GOBIN=$PWD/bin
export RPC_PATH=$PWD/remotecontrol

go get github.com/golang/protobuf/protoc-gen-go
go install ./src/github.com/golang/protobuf/protoc-gen-go

mkdir -p $RPC_PATH
rm -f $RPC_PATH/*.pb.go
protoc -I$RPC_PATH --go_out=plugins=grpc:$RPC_PATH $RPC_PATH/remotecontrol.proto

# Cluster interface
export CUSTER_PATH=$PWD/cluster
rm -f $CUSTER_PATH/*.pb.go
protoc -I$CUSTER_PATH --go_out=plugins=grpc:$CUSTER_PATH $CUSTER_PATH/cluster.proto
